const CacheBase = require("../cache.base");
const system = require("../../system");
const settings = require("../../../config/settings");
class CodeCache extends CacheBase{
  constructor(){
    super();
    this.userDao=system.getObject("db.auth.userDao");
  }
  isdebug(){
    return false
  //  return settings.env=="dev";
 }
  desc(){
    return "缓存code子系统用户登录信息对象";
 }
 prefix(){
    return "g_code_userlocal_"
 }
 async buildCacheVal(cachekey,inputkey, val, ex, ...items) {
  if (val) {
    return JSON.stringify(val);
  }
  return null;
 }
}
module.exports=CodeCache;